#!/bin/bash -v

#check that GSDL3HOME is set
if test -z "$GSDL3HOME" ; then
  echo "You need to 'source setup.bash' before running the install script"
 exit;
fi

#export CVS_RSH=ssh

#if you dont have a greenstone_cvs account you can change to use anonymous 
# access. remember, password for anonymous access is 'anonymous'
#export CVSROOT=:ext:@cvs.scms.waikato.ac.nz:/usr/local/global-cvs/gsdl-src
#export CVSROOT=:pserver:cvs_anon@cvs.scms.waikato.ac.nz:2402/usr/local/global-cvs/gsdl-src

#make sure we have the current GSDL3 - this also prunes empty directories
#cvs update -dRP

# get mgpp
cd packages
# check out mgpp
#cvs co mgpp
#configure it and mg
cd mgpp
./configure --prefix $GSDL3HOME
cd ../mg
./configure --prefix $GSDL3HOME
cd $GSDL3HOME


# unpack tomcat and create symbolic link
cd comms/tomcat/
tar xzf jakarta-tomcat-4.0.1.tar.gz 
ln -s jakarta-tomcat-4.0.1 jakarta
cd $GSDL3HOME


#setup sample collection
cd web/sites/localsite/collect/mgppdemo/index/
tar xzf mgpp-indexfiles.tar.gz
cd ../../demo/index
tar xzf mg-indexfiles.tar.gz
cd ../../chinesedemo/index
tar xzf chinese-index-files.tar.gz
cd $GSDL3HOME


#set up tomcat
#create symbolic links
cd web
ln -s -v ../lib
cd $GSDL3HOME

#set up the servlet information for tomcat
cat web/WEB-INF/web.xml | sed "s&@gsdl3home@&$GSDL3HOME&" > web.xml.tmp
mv web/WEB-INF/web.xml web/WEB-INF/web.bak.xml
mv web.xml.tmp web/WEB-INF/web.xml

#edit the catalina script
cat  comms/tomcat/jakarta-tomcat-4.0.1/bin/catalina.sh | sed 's,CP=\"$CATALINA_HOME/bin/bootstrap.jar\",CP=\"$CLASSPATH:$CATALINA_HOME/bin/bootstrap.jar\",' > catalina.sh
mv   comms/tomcat/jakarta/bin/catalina.sh comms/tomcat/jakarta/bin/catalina.bak.sh
mv catalina.sh comms/tomcat/jakarta/bin/catalina.sh 

#edit the server config file
cat comms/tomcat/jakarta/conf/server.xml | sed "s,<\!-- Tomcat Root Context -->,<\!-- GSDL3 Service --><Context path=\"/gsdl3\" docBase=\"$GSDL3HOME/web\" debug=\"1\" reloadable=\"true\"/><\!-- Tomcat Root Context -->," > server.xml
mv comms/tomcat/jakarta/conf/server.xml comms/tomcat/jakarta/conf/server.bak.xml 
mv server.xml comms/tomcat/jakarta/conf/server.xml


#make everyone happy by giving the right permissions to the shell scripts
chmod a+x comms/tomcat/jakarta/bin/*.sh

#now do the compiling etc by calling update.bash
update-nocvs.bash

