<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:java="http://xml.apache.org/xslt/java"
  extension-element-prefixes="java">

  <xsl:template name="textgreenstone1">
Greenstone is a suite of software which has the ability to serve digital
library collections and build new collections.  It provides a new way of
organizing information and publishing it on the Internet or on CD-ROM.
Greenstone is produced by the New Zealand Digital Library Project at the
University of Waikato, and distributed in cooperation with UNESCO and the
Human Info NGO. It is open-source software, available from
<i>http://greenstone.org</i> under the terms of the GNU General Public
License.
  </xsl:template>

  <xsl:template name="textgreenstone2">
The New Zealand Digital Library website (<a href="http://nzdl.org">http://nzdl.org</a>) contains numerous example
collections, all created with the Greenstone software, which are publicly
available for you to peruse. They exemplify various searching and browsing
options, and include collections in Arabic, Chinese, French, Maori, and
Spanish, as well as English. There are also some music collections.
  </xsl:template>

  <xsl:template name="textgreenstone3">
Greenstone runs on Windows and Unix. The distribution includes ready-to-use
binaries for all versions of Windows, and for Linux. It also includes
complete source code for the system, which can be compiled using Microsoft
C++ or gcc.  Greenstone works with associated software that is also freely
available: the Apache Webserver and PERL. The user interface uses a Web
    browser: typically Netscape Navigator or Internet Explorer.
  </xsl:template>

  <xsl:template name="textgreenstone4">
Many document collections are distributed on CD-ROM using the Greenstone
software. For example, the <i>Humanity Development Library</i> contains
1,230 publications ranging from accounting to water sanitation. It runs on
minimal computing facilities such as those typically found in developing
countries. The information can be accessed by searching, browsing by
subject, browsing by titles, browsing by organisation, browsing a list of
how-tos, and by randomly viewing the book covers.
  </xsl:template>

  <xsl:template name="textgreenstone5">
Greenstone is specifically designed to be highly extensible and
customisable. New document and metadata formats are accommodated by writing
"plugins" (in Perl). Analogously, new metadata browsing structures can be
implemented by writing "classifiers." The user interface look-and-feel can
be altered using "macros" written in a simple macro language. A Corba
protocol allows agents (e.g. in Java) to use all the facilities associated
with document collections. Finally, the source code, in C++ and Perl, is
available and accessible for modification.
  </xsl:template>

  <xsl:template name="textthreedocs">There are three documents that explain the Greenstone system:</xsl:template>
  <xsl:template name="textinstall">The Greenstone Digital Library Software Installer's Guide</xsl:template>
  <xsl:template name="textuser">The Greenstone Digital Library Software User's Guide</xsl:template>
  <xsl:template name="textdevelop">The Greenstone Digital Library Software Developer's Guide</xsl:template>

  <xsl:template name="textmailinglist">
There is a mailing list intended primarily for discussions about the
Greenstone digital library software.  Active users of Greenstone should
consider joining the mailing list and contributing to the discussions.  The
mailing list is hosted by the Pathfinder Library System in beautiful Grand
Junction, Colorado (John Campbell, john@colosys.net). To subscribe, send
email to <a href="mailto:majordomo@colosys.net">majordomo@colosys.net</a>
with the text <ul>subscribe greenstone </ul> (no subject, no name, nothing
else). To send a message to the list, address it to <a
href="mailto:greenstone@colosys.net">greenstone@colosys.net</a>.
</xsl:template>

  <xsl:template name="textreport">
We want to ensure that this software works well for you.  Please report any
bugs to <a href="mailto:majordomo@colosys.net">greenstone@cs.waikato.ac.nz</a>
  </xsl:template>

  <xsl:template name="textcredits">credits</xsl:template>

  <xsl:template name="textwhoswho">
The Greenstone software is a collaborative effort between many
people. Rodger McNab and Stefan Boddie are the principal architects and
implementors.  Contributions have been made by David Bainbridge, George
Buchanan, Hong Chen, Elke Duncker, Carl Gutwin, Geoff Holmes, John
McPherson, Craig Nevill-Manning, Gordon Paynter, Bernhard Pfahringer, Todd
Reed, Bill Rogers, and Stuart Yeates. Other members of the New Zealand
Digital Library project provided advice and inspiration in the design of
the system: Mark Apperley, Sally Jo Cunningham, Steve Jones, Te Taka
Keegan, Michel Loots, Malika Mahoui and Lloyd Smith. We would also like to
acknowledge all those who have contributed to the GNU-licensed packages
included in this distribution: MG, GDBM, PDFTOHTML, WGET, WVWARE and XLHTML.
  </xsl:template>

  
</xsl:stylesheet>